# 
# txt2tags et TeX makefile générique 
# E.Godard  --  29/05/2001
#           --  22/08/2005
#           --  23/05/2007
#           --  20/08/2007
#	    --  03/12/2009
#	    --  09/09/2012

# Le fichier principal doit porter le même nom que le répertoire
# courant.  
# make -> fichier postscript (sans màj bibliographie)
# make final -> force la màj des pages,etc par double compilation


LATEX := latex -file-line-error
PDFLATEX := pdflatex -file-line-error

ALLT2T = $(wildcard *.t2t)
T2TDEP = $(filter-out $(MAIN).t2t,$(ALLT2T)) # les autres sont des dépendances
ECRAN = ${MAIN}.pdf	# pdf = présentation
PAPIER = ${MAIN}.x6.pdf # x6.pdf = à imprimer pour distribution/correction

FIG := $(wildcard *.fig)
PSTEX := $(FIG:.fig=.pstex)
PSTEX_T := $(FIG:.fig=.pstex_t)
FIGPDF := $(FIG:.fig=-fig.pdf)
FIGTEX := $(FIG:.fig=-fig.tex)


final: 
	touch ${MAIN}.force
	make ${ECRAN}
	sleep 1;touch ${MAIN}.force
	make ${ECRAN} 
	make ${PAPIER}
#	sleep 1;touch ${MAIN}.force
#	make ${PAPIER}

$(MAIN).force: 
	touch $@

.PHONY: all final clean mrproper

debug.${TARGET}:
	@ls -l $(TEMPLATEFILE) $(TARGETCONF) ${PARAMT2T}

#### Dépendances génériques latex
%.pdf: %.tex ${FIGPDF} ${FIGTEX}
	${PDFLATEX} -jobname=$* $< 

%.x6.pdf: %.pdf
	pdfnup --nup 3x2 --outfile $@ $< 

%.x2.pdf: %.pdf
	pdfnup --nup 1x2 --outfile $@ $< 

%-fig.pdf: %.fig
	fig2dev -L pdftex -F $< $@

%-fig.tex: %.fig
	fig2dev -L pdftex_t -F -p $*-fig.pdf $< $@

# Latex ne gère pas le svg
%.pdf: %.svg
	inkscape -A $@ $<

# Obsolète ??
%.dvi: %.tex 
	${LATEX} -jobname=$* $<

%.ps: %.dvi 
	dvips $< -o
	echo $@ >> $(CVSIGNORE)


%.x6.ps: %.handout.ps
	# hack pour éliminer la dernière page (vide actuellement)
	mv $< tmp.$<
	psselect -p-_2 tmp.$< $<
	rm tmp.$<
	# paramètres d'après la doc beamer
	psnup -6  -m15 -W128mm -H96mm $< > $@



%.pstex: %.fig
	fig2dev -L pstex -F $< $@

%.pstex_t: %.fig
	fig2dev -L pstex_t -F -p $*.pstex $< $@

%.gz: %
	gzip $<

# Nettoyage
clean:
	rm -vf *.log *.aux *.bbl *.blg *.ilg *.toc *.lof *.lot *.idx *.ind *.out *.nav *.snm ${MAIN}.force

mrproper: clean
	rm -vf ${MAIN}.x6.ps ${MAIN}.ps ${MAIN}.pdf ${MAIN}.dvi $(PSTEX) $(PSTEX_T) ${MAIN}.tex

# Si il y a uniquement des dépendances locales 
$(MAIN).tgz: $(ALLT2T) $(FIG) $(MAIN).pdf Makefile 
	tar zcf $@ $+

LOCALRULES=$(wildcard Makefile*.local)
include ${LOCALRULES}


